<?php
$config->service->form = new stdclass();

$config->service->form->create = array();
$config->service->form->create['name']        = array('required' => true,  'type' => 'string', 'filter' => 'trim');
$config->service->form->create['version']     = array('required' => false, 'type' => 'string', 'default' => '', 'filter' => 'trim');
$config->service->form->create['softName']    = array('required' => false, 'type' => 'string', 'default' => '', 'filter' => 'trim');
$config->service->form->create['softVersion'] = array('required' => false, 'type' => 'string', 'default' => '', 'filter' => 'trim');
$config->service->form->create['entry']       = array('required' => false, 'type' => 'string', 'default' => '');
$config->service->form->create['deploy']      = array('required' => false, 'type' => 'string', 'default' => '');
$config->service->form->create['port']        = array('required' => false, 'type' => 'int',    'default' => 0);
$config->service->form->create['external']    = array('required' => false, 'type' => 'int',    'default' => 0);
$config->service->form->create['dept']        = array('required' => false, 'type' => 'string', 'default' => '');
$config->service->form->create['devel']       = array('required' => false, 'type' => 'string', 'default' => '');
$config->service->form->create['qa']          = array('required' => false, 'type' => 'string', 'default' => '');
$config->service->form->create['ops']         = array('required' => false, 'type' => 'string', 'default' => '');
$config->service->form->create['type']        = array('required' => false, 'type' => 'string', 'default' => '');
$config->service->form->create['hosts']       = array('required' => false, 'type' => 'array',  'default' => array(), 'filter' => 'join');
$config->service->form->create['desc']        = array('required' => false, 'type' => 'string', 'default' => '', 'control' => 'editor');
$config->service->form->create['createdDate'] = array('required' => false, 'type' => 'string', 'default' => helper::now());
$config->service->form->create['grade']       = array('required' => false, 'type' => 'int',    'default' => 1);

$config->service->form->edit = array();
$config->service->form->edit['name']        = array('required' => true,  'type' => 'string', 'filter' => 'trim');
$config->service->form->edit['version']     = array('required' => false, 'type' => 'string', 'default' => '', 'filter' => 'trim');
$config->service->form->edit['softName']    = array('required' => false, 'type' => 'string', 'default' => '', 'filter' => 'trim');
$config->service->form->edit['softVersion'] = array('required' => false, 'type' => 'string', 'default' => '', 'filter' => 'trim');
$config->service->form->edit['entry']       = array('required' => false, 'type' => 'string', 'default' => '');
$config->service->form->edit['deploy']      = array('required' => false, 'type' => 'string', 'default' => '');
$config->service->form->edit['port']        = array('required' => false, 'type' => 'int',    'default' => 0);
$config->service->form->edit['external']    = array('required' => false, 'type' => 'int',    'default' => 0);
$config->service->form->edit['dept']        = array('required' => false, 'type' => 'string', 'default' => '');
$config->service->form->edit['devel']       = array('required' => false, 'type' => 'string', 'default' => '');
$config->service->form->edit['qa']          = array('required' => false, 'type' => 'string', 'default' => '');
$config->service->form->edit['ops']         = array('required' => false, 'type' => 'string', 'default' => '');
$config->service->form->edit['type']        = array('required' => false, 'type' => 'string', 'default' => '');
$config->service->form->edit['hosts']       = array('required' => false, 'type' => 'array',  'default' => array(), 'filter' => 'join');
$config->service->form->edit['desc']        = array('required' => false, 'type' => 'string', 'default' => '', 'control' => 'editor');
$config->service->form->edit['editedDate']  = array('required' => false, 'type' => 'string', 'default' => helper::now());
